aboutsummaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorGuy Harris <gharris@sonic.net>2020-12-19 14:21:15 -0800
committerGuy Harris <gharris@sonic.net>2020-12-19 14:21:15 -0800
commitf3dc269df64d11763e76370c5b413dc15c11235b (patch)
tree0da2d3a5d0c930c49e6eb44e3e0d633c47d794f1 /tools
parent7052994a19bd3361ea9181c6ef99a82b398033ed (diff)
macos-setup: work around a botch in GLib "make distclean".
[skip ci]
Diffstat (limited to 'tools')
-rwxr-xr-xtools/macos-setup.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/tools/macos-setup.sh b/tools/macos-setup.sh
index 7733d9a06b..a53b4b725e 100755
--- a/tools/macos-setup.sh
+++ b/tools/macos-setup.sh
@@ -815,7 +815,14 @@ uninstall_glib() {
echo "Uninstalling GLib:"
cd glib-$installed_glib_version
$DO_MAKE_UNINSTALL || exit 1
- make distclean || exit 1
+ #
+ # This appears to delete dependencies out from under other
+ # Makefiles in the tree, causing it to fail. At least until
+ # that gets fixed, if it ever gets fixed, we just ignore the
+ # exit status of "make distclean"
+ #
+ # make distclean || exit 1
+ make distclean || echo "Ignoring make distclean failure" 1>&2
cd ..
rm glib-$installed_glib_version-done